Subject: [Uri-review] Some minor comments on ipps URI scheme or Re: Request for review of draft-mcdonald-ipps-uri-scheme

From: Mykyta Yevstifeyev <[email-masked]>
Date: Wed, 2 Mar 2011 09:42:11 +0200

Hello Ira, all,

Thank you for this update - this version is much better than the -01
one.  However I'd like to bring your attention to some minor issues in
this document.

First of all, some comments about the entire document text.  You
should have used the RFC 2223 or 2223bis style for your document and
TOC, but you haven't.  I'd also like to point out format of references
to RFC 2119 and RFC 3986, that are different from the most current
style and the issue you shoudn't have numberred Appendices and the
'Authors' Addresses'

Moreover, I'd like to propose to extend the following phrase:

  This memo is a product of the Internet Printing Protocol Working
   Group in the IEEE-ISTO Printer Working Group.

with the words "published on behalf on IETF" in order not to make
confusion with the 'Status of this Memo' section.

Next, here you should have used [STD7] instead of (STD7): Section 3.1

  3) The IPP Client establishes a TCP (STD7) transport layer connection
      to the target endpoint;

Another minor proposal is to ad the reference to BCP35 at the
beginning of Section 6.

Lastly, it would be useful to add some references in Appendix B for
further reading on the topics mentioned there.

Asfor anuthing other, I personally consider this document to be almost
ready for applying to IESG for further processing.

All the best,
Mykyta Yevstifeyev

2011/2/28, Ira McDonald <[email-masked]>:
> Hi,
>
> Please review and send us comments on the IPP over HTTPS Transport
> Binding and 'ipps' URI Scheme and available at:
>
>   http://tools.ietf.org/id/draft-mcdonald-ipps-uri-scheme-02.txt
>
>
> Abstract:
>
>    This memo defines the Internet Printing Protocol (IPP) over HTTPS
>    transport binding and corresponding 'ipps' URI scheme, that is used
>    to designate the access to the network location of a secure IPP print
>    service or a network resource (for example, a print job) managed by
>    such a service.
>
>    This memo is a product of the Internet Printing Protocol Working
>    Group in the IEEE-ISTO Printer Working Group.
>
>    This memo updates RFC 2910 and RFC 2911.
>
>
> Background:
>
> This memo is a product of the Internet Printing Protocol Working
> Group in the IEEE-ISTO Printer Working Group, as part of their IPP
> Everywhere project for mobile, driverless, ubiquitous printing.
>
>   http://pwg-wiki.wikispaces.com/IPP+Everywhere
>
> IPP/1.1 (RFC 2910/2911) uses the 'ipp' URI scheme (RFC 3510) and
> supports secure Printer and Job management and Job submission by
> upgrading to TLS (RFC 5246) using HTTP Upgrade (RFC 2817).  The
> requirement for this TLS upgrade is configured in the IPP Printer object
> for a given service access point URI.
>
> An 'ipp' URI is translated by identity (except for IANA well known port
> 631) into an HTTP URI over the wire (i.e., IPP uses HTTP for its
> transport) - per IESG direction when IPP/1.1 replaced Experimental
> IPP/1.0 (RFC 2565/2566) - see section 3.2 of this memo.
>
> IPP/1.1 is now ubiquitous (i.e., supported by all network printers shipped
> in the last decade).
>
> However, many IPP/1.1 implementations do not support this TLS
> upgrade (OPTIONAL for conformance in RFC 2910/2911).  And some
> IPP/1.1 implementations don't immediately upgrade at connection startup
> (which is non-conforming).
>
> This situation has discouraged the use of IPP/1.1 over public Internet
> connections.
>
> The IPP Everywhere project of the IEEE-ISTO PWG requires the use of
> TLS for *all* connections.  Therefore, an 'ipps' URI is translated by
> identity
> (again over port 631) into an 'https' URI (RFC 2818) - see section 3.3 of
> this memo.  'ipps' URI values also must use UTF-8 (RFC 3629).
>
> The 'ipps' URI scheme has been deployed for years in CUPS - the most
> widely deployed implementation of an IPP print service - CUPS is the
> default print spooler on Mac OSX, Linux, and most UNIX versions and is
> also available on Windows and other operating systems.
>
> Cheers,
> - Ira McDonald (Co-Chair of IPP WG in IEEE-ISTO PWG)
>
>
> Ira McDonald (Musician / Software Architect)
> Chair - Linux Foundation Open Printing WG
> Co-Chair - IEEE-ISTO PWG IPP WG
> Co-Chair - TCG Hardcopy WG
> IETF Designated Expert - IPP & Printer MIB
> Blue Roof Music/High North Inc
> http://sites.google.com/site/blueroofmusic
> http://sites.google.com/site/highnorthinc
> mailto:[email-masked]
> Christmas through April:
>   579 Park Place  Saline, MI  48176
>   734-944-0094
> May to Christmas:
>   PO Box 221  Grand Marais, MI 49839
>   906-494-2434
>